/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 

.offcanvas-open & {
  overflow: hidden;
}

.offcanvas  {
  position: absolute;
  -webkit-overflow-scrolling: touch;
  z-index: 10000;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  .ngdialog-overlay {
    position: absolute;
    background: rgba(0, 0, 0, 0.4);
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    -webkit-backface-visibility: hidden;
    animation: ngdialog-fadein 0.5s;
  }

  .ngdialog-content {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    padding:10px;
    background: white;
    -webkit-backface-visibility: hidden;
    animation: ngdialog-fadein 0.5s,
    ngdialog-translatein 0.5s;
    pointer-events: all;
    box-shadow: 0 0px 30px rgba(0, 0, 0, 0.5);
    width: 50%;
    overflow-y: auto;
  }

  &.ngdialog-closing .ngdialog-overlay {
    -webkit-backface-visibility: hidden;
    animation: ngdialog-fadeout 0.5s;
  }
  &.ngdialog-closing .ngdialog-content {
    -webkit-backface-visibility: hidden;
    animation: ngdialog-fadeout 0.5s, ngdialog-translateout 0.5s;
  }

}


@keyframes ngdialog-fadeout {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@keyframes ngdialog-fadein {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes ngdialog-translatein {
  0% {
    transform: translateX(50%);
  }

  100% {
    transform: translateX(0%);
  }
}

@keyframes ngdialog-translateout {
  0% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(50%);
  }
}